# GetPrepayments

Use this function to retrieve prepayments.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Prepayment id

You can retrieve an individual record by specifying the PrepaymentID.

#### Modified after

A UTC timestamp (yyyy-mm-ddThh:mm:ss) . Only records created or modified since this timestamp will be returned e.g. 2009-11-12T00:00:00.

#### Where

Restrict the returned items using the specified criteria. See Where filter.

#### Page

e.g. page=1 – Up to 100 records will be returned in a single API call with line items shown for each record.

#### Order by

Return items in a specific order. See Order by filter.

#### Return options

Select how the data is to be returned.

Possible values are:

* Only the first item.
* he first item or an empty item.
* ll the items one by one.
* All of the items at once.

## Output

#### Return type of Prepayments

#### A list of prepayments or a single prepayment depending on the selected [Return option](https://github.com/linx-software/linx-docs/blob/v6-Main/reference/plugins/xero/content/prepayments/getattachments.md#return-options).

## Links

[Xero Developer: Prepayment (GET)](https://developer.xero.com/documentation/api/prepayments#GET)

\\


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/prepayments/getprepayments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
